Bug 998875 - Give summary and URL of bugs added or removed from dependencies in bugmail
Give summary and URL of bugs added or removed from dependencies in bugmail
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Email Notifications (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 05:28 EDT by Daniel Berrange
Modified: 2013-11-17 18:23 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.4.0009
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 20:46:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 97956 None None None Never

  None (edit)
Description Daniel Berrange 2013-08-20 05:28:07 EDT
Description of problem:
I recently received an email notification about changes in a bug dependancy

The content of the email was

[quote]
https://bugzilla.redhat.com/show_bug.cgi?id=910269

Richard W.M. Jones <rjones@redhat.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
         Depends On|                            |998692
[/quote]


While I could switch out of my email client and go to BZ web UI and open up bug '998692', it occurred to me that it would be quite nice if the BZ email notification could tell me a little more directly, ie include the bug title, product and component.

Perhaps the notification could be structured like this:

   Depends On:
      [Add|Remove] BUGNUM [PRODUCT] [COMPONENT]  TITLE
      [Add|Remove] BUGNUM [PRODUCT] [COMPONENT]  TITLE
      [Add|Remove] BUGNUM [PRODUCT] [COMPONENT]  TITLE
      [Add|Remove] BUGNUM [PRODUCT] [COMPONENT]  TITLE
      ....

So this bug I received above would have said:

[quote]
https://bugzilla.redhat.com/show_bug.cgi?id=910269

Richard W.M. Jones <rjones@redhat.com> changed:

Depends On
     Add: 998692 [Fedora] [libvirt] unsupported configuration: This QEMU doesn't support virtio scsi controller [code=67 domain=10]
[/quote]


This would provide the person viewing the email alert with enough info, that they can probably avoid having to switch to the web browser to look up the bug in most cases.


Version-Release number of selected component (if applicable):
4.4.0006

How reproducible:
Always

Steps to Reproduce:
1. Add or remove one or more bugs from 'Depends' field
2. Wait for email alerts
3.

Actual results:
Email alert only tells you the bug number

Expected results:
Email alert tells you bug number, title, product & component

Additional info:
Comment 1 Simon Green 2013-08-20 19:36:52 EDT
If we did this, we would use the code that BMO uses. Currently they have hacked B/BugMail.pm and the template. We would do the same and then submit the changes upstream.

Here is an example of the e-mail that is sent from BMO. For those with HTML e-mail enabled, the referenced bug doesn't contain the URL. Rather, the bug number is a link to the bug.

https://bugzilla.mozilla.org/show_bug.cgi?id=3D569177

Byron Jones <glob@mozilla.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Blocks|                            |905948

Referenced Bugs:

https://bugzilla.mozilla.org/show_bug.cgi?id=905948
[Bug 905948] under mod_perl, HTTP/200 is returned when etags match
If-None-Match
Comment 2 Daniel Berrange 2013-08-21 05:14:25 EDT
That sounds like a reasonable way to address this from my POV.
Comment 5 Simon Green 2013-10-03 20:46:17 EDT
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

  -- simon
Comment 7 Simon Green 2013-11-17 18:23:59 EST
Made some minor changes from the upstream code.

Note You need to log in before you can comment on or make changes to this bug.